% plot__cm__v2.m

filenaam='wave linearity';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

linecolour='kbgymkbgymkbgymkbgymkbgym';

plot(data(1:lengte,1),0.024*((data(1:lengte,5))+0.105),'k'); hold on;
plot(data(1:lengte,1),0.024*((data(1:lengte,6))+0.105),'r');
%plot(data(1:lengte,1),0.1*((data(1:lengte,8))+0.15),'b');
%plot(data(1:lengte,1),0.1*(data(1:lengte,9))+0.0,'y');


title(filenaam);
xlabel('time [ sec ]');
ylabel('waveheight [ m ]');
h = legend('T=3s H=0.04m','T=3s, H=0.14m');
set(h,'Interpreter','none');
hold off;
