% plot__cm__v2.m

filenaam='test01.ASC';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

linecolour='kbgymkbgymkbgymkbgymkbgym';

plot(data(1:lengte,1),0.025*(data(1:lengte,2))+0.0,'g'); hold on;
plot(data(1:lengte,1),0.025*(data(1:lengte,6))+0.0,'m');
plot(data(1:lengte,1),0.1*(data(1:lengte,8))-0.13,'b');
plot(data(1:lengte,1),0.1*(data(1:lengte,9))+0.0,'y');


title(filenaam);
xlabel('Time [ sec ]');
ylabel('Golfhoogte [ m ] en snelheid [ m/sec]');
h = legend('W1','W4','Vx','Vy');
set(h,'Interpreter','none');
hold off;
