% plot__cm__v2.m

filenaam='F2D3T30H04.ASC';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

linecolour='kbgymkbgymkbgymkbgymkbgym';

plot(data(1:lengte,1),0.026*((data(1:lengte,3))+0.02),'g'); hold on;
plot(data(1:lengte,1),0.024*((data(1:lengte,4))-0.06),'m');
plot(data(1:lengte,1),0.022*((data(1:lengte,6))-0.019),'y');
plot(data(1:lengte,1),0.024*((data(1:lengte,7))+0.029),'r');
plot(data(1:lengte,1),0.1*((data(1:lengte,8))+0.17),'b');
%plot(data(1:lengte,1),0.1*(data(1:lengte,9))+0.0,'y');


title(filenaam);
xlabel('Time [ sec ]');
ylabel('Waveheight [ m ] and velocity [ m/s]');
h = legend('W2','W3','W5','W6','Vx');
set(h,'Interpreter','none');
hold off;
