% plot__cm__v2.m

filenaam='wave profiles';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

linecolour='kbgymkbgymkbgymkbgymkbgym';

plot(data(1:lengte,1),0.025*((data(1:lengte,2))+0.06),'k'); hold on;
plot(data(1:lengte,1),0.024*((data(1:lengte,5))+0.105),'r');
%plot(data(1:lengte,1),0.1*((data(1:lengte,8))+0.2)-0.015,'b');
%plot(data(1:lengte,1),0.1*(data(1:lengte,9))+0.0,'y');


title(filenaam);
xlabel('Time [ sec ]');
ylabel('Waveheight [ m ]');
h = legend('wave profile in front of the filter setup (GHM18)','wave profile above the filter (GHM23)','northwest','2');
set(h,'Interpreter','none');
hold off;
