% plot__cm__v2.m

filenaam='F3D14T30H08.ASC';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

linecolour='kbgymkbgymkbgymkbgymkbgym';

plot(data(1:lengte,1),0.025*((data(1:lengte,2))+0.08),'g'); hold on;
plot(data(1:lengte,1),0.024*((data(1:lengte,5))-1.6),'m');
plot(data(1:lengte,1),0.1*((data(1:lengte,8)))+0.0324-0.155,'b');
%plot(data(1:lengte,1),0.1*(data(1:lengte,9))+0.0,'y');


title(filenaam);
xlabel('Time [ sec ]');
ylabel('Waveheight [ m ] and velocity [ m/s]');
h = legend('W1','W4','Vx');
set(h,'Interpreter','none');
hold off;
